Arc.ArcType (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.optional.imageio, class: Arc, class: ArcType

# Class Arc.ArcType

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.types.optional.imageio.Arc.ArcType

Enclosing class:
  `Arc`

public static class Arc.ArcType extends EnumeratedAttribute

- ## Field Summary

  ### Fields inherited from class EnumeratedAttribute

  `value`
  Modifier and Type
  Field
  Description
  `protected String`
  `value`
  The selected value in this enumeration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArcType()`
  Constructor
  `ArcType(String value)`
  Constructor using a string.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Arc.ArcType`
  `getDefault()`
  Get the default ArcType value.
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`
  Modifier and Type
  Method
  Description
  `final boolean`
  `containsValue(String value)`
  Is this value included in the enumeration?
  `final int`
  `getIndex()`
  `static EnumeratedAttribute`
  `getInstance(Class<? extends EnumeratedAttribute> clazz, String value)`
  Factory method for instantiating EAs via API in a more developer friendly way.
  `final String`
  `getValue()`
  `final int`
  `indexOfValue(String value)`
  get the index of a value in this enumeration.
  `void`
  `setValue(String value)`
  Invoked by `IntrospectionHelper`.
  `String`
  `toString()`
  Convert the value to its string form.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ArcType

    public ArcType()
    Constructor

  - ### ArcType

    public ArcType(String value)
    Constructor using a string.
    Parameters:
      `value` - the value of the attribute

- ## Method Details

  - ### getDefault

    public static Arc.ArcType getDefault()
    Get the default ArcType value.
    Returns:
      the default value.

  - ### getValues

    public String[] getValues()
    Description copied from class: `EnumeratedAttribute`
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.
    See Also:
      - .